******   Program 4.5  Generating Three Correlated Normal Variables   *****;
PROC IML;
F={0.84267  -0.42498   0.33062,
   0.91671  -0.12476  -0.37958,
   0.59317   0.79654   0.11694};
DATA=RANNOR(J(10000,3,0));    *** generate data matrix (100003);
DATA=DATA`;                   *** transpose data matrix (310000);
Z = F*DATA;                   *** impose inter-correlations;
Z = Z`;                       *** transpose data matrix back (100003);

X1=Z[,1]*15 + 100;            *** linear transformation for specified mean and std;
X2=Z[,2]*10 + 50;
X3=Z[,3];
  *** output data to a SAS working data 'A';
Z=X1||X2||X3;
CREATE A FROM Z [COLNAME={X1 X2 X3}];
APPEND FROM Z;
      *** obtaining sample descriptive statistics;
PROC MEANS DATA=A N MEAN STD SKEWNESS KURTOSIS;
  VAR X1 X2 X3;
PROC CORR DATA=A NOSIMPLE;
  VAR X1 X2 X3;
RUN;
************************************************************************;
