
****  Program 4.8: Deriving Pair-Wise Intermediate Correlation (X1 & X2) ****;

DATA D1;
  B1=.978350485; C1=-.124833577; D1=.001976943;  * use Fleishman coefficients;
  B2=.978350485; C2= .124833577; D2=.001976943;
  TARGET=.70;                                    * target population correlation;
  R=.5;                                          * starting value for iteration;

DO I=1 TO 5;
   FUNCTION=(R**3*6*D1*D2+R**2*2*C1*C2+R*(B1*B2+3*B1*D2+3*D1*B2+9*D1*D2)-TARGET);
   DERIV=(3*R**2*6*D1*D2+2*R*2*C1*C2+(B1*B2+3*B1*D2+3*D1*B2+9*D1*D2));
   RATIO=FUNCTION/DERIV;
   R_TEMP = R - RATIO;
   IF ABS(R_TEMP - R)>.00001 THEN R = R_TEMP; OUTPUT;
END;
PROC PRINT; WHERE I=5;    * print intermediate correlation r for the last iteration;
  VAR I RATIO R;
RUN;
***********************************************************************************;
