
******  Program 5.9: Analysis of Gaps Between the Cars  **********;
/* execute a simulation by grabbing the locations of */
/* all parked cars (see parameter KEEP=ALL and       */
/* variables p1,p2,...)                              */

%PARKING(OUT=GAP,STRLNGTH=100,NSIMS=100000,KEEP=ALL)

/* calculate the gaps between the cars. Include the  */
/* distance from the beginning of the street and the */
/* first car and the distance between the last car   */
/* and the end of the street. Place each gap into a  */
/* separate observation.                             */

DATA GAP(KEEP=GAP);
     SET GAP;
     ARRAY PRKGLOC(102) P1-P102;   *** locations of the cars.;
     LENGTH GAP 4;
     DO I=1 TO NCARS+1;
        GAP=PRKGLOC(I+1)-PRKGLOC(I)-1;   *** the length of a car is 1.;
        OUTPUT;
     END;
PROC UNIVARIATE DATA=GAP NORMAL PLOT;
     VAR GAP;
     TITLE 'Distribution of Gaps between the Cars';
     RUN;
*************************************************************************;
