********** Program 1.1   Simulating the Rolling of Two Dice ******************;
*** simulate the rolling of two dice and the distribution;
*** of the sum of the two outcomes;

DATA DICE(KEEP=SUM) OUTCOMES(KEEP=OUTCOME);
     DO ROLL=1 TO 10000;                   *** roll the two dice 10,000 times.;
        OUTCOME1=1+INT(6*RANUNI(123));     *** outcome from rolling the first dice;
        OUTCOME2=1+INT(6*RANUNI(123));     *** outcome from rolling the second dice;
        SUM=OUTCOME1+OUTCOME2;             *** sum up the two outcomes.;
        OUTPUT DICE;                       *** save the sum.;
        OUTCOME=OUTCOME1; OUTPUT OUTCOMES; *** save the first outcome.;
        OUTCOME=OUTCOME2; OUTPUT OUTCOMES; *** save the second outcome.;
     END;
RUN;

PROC FREQ DATA=DICE;         *** obtain the distribution of the sum.;
     TABLE SUM;
RUN;

PROC FREQ DATA=OUTCOMES;    *** check the uniformity of the outcomes.;
     TABLE OUTCOME;
RUN;
***************************************************************************;
