
*** Program 3.9: Generation of Random Height Values **;

*****************************************************;
DATA RNDPOP;
     DO I=1 TO 50000;
        IF RANUNI(123)<0.5096
           THEN DO; GENDER='F'; 
                    HEIGHT=63.68+2.68*RANNOR(123);
                END;
           ELSE DO; GENDER='M';
                    HEIGHT=69.12+2.85*RANNOR(123);
                END;
        OUTPUT;
     END;
     RUN;

/*check the distribution in the female population. */
/* is it normal with the specified parameters?     */

PROC CAPABILITY DATA=RNDPOP NORMALTEST LINEPRINTER;
     VAR HEIGHT;
     WHERE GENDER='F';
     QQPLOT HEIGHT / NORMAL (MU=63.68 SIGMA=2.68);
     RUN;
***************************************************;  
