****  Program 4.3 Fleishman Method for Generating 3 Non-Normal Variables  ****;

DATA A;
  DO I = 1 TO 10000;
     X1 = RANNOR (0);
     X2 = RANNOR (0);
     X3 = RANNOR (0);
                                 *** Fleishman non-normality transformation;
     X1 = -.124833577 + .978350485*X1 + .124833577*X1**2 + .001976943*X1**3;
     X2 =  .124833577 + .978350485*X2 - .124833577*X2**2 + .001976943*X2**3;
     X3 = -.096435287 + .843688891*X3 + .096435287*X3**2 + .046773413*X3**3;

     X1 = 100 + 15*X1;           ***linear transformation;
     X2 =  50 + 10*X2;
     X3 =  X3;
   OUTPUT;
  END;
PROC MEANS N MEAN STD SKEWNESS KURTOSIS;
  VAR X1 X2 X3;
PROC CORR NOSIMPLE;
  VAR X1 X2 X3;
RUN;
**************************************************************************;
