
****  Program 4.7 Generating Three Correlated Non-Normal Variables - Inadequate Approach  ****;
PROC IML;
                                        *read in factor pattern matrix;
F={0.84267  -0.42498   0.33062,
   0.91671  -0.12476  -0.37958,
   0.59317   0.79654   0.11694};

DATA=RANNOR(J(10000,3,0));              *GENERATE DATA MATRIX (10000x3);
DATA=DATA`;                             *TRANSPOSE DATA MATRIX (3x10000);
Z = F*DATA;                             *TRNASFORM TO 3 CORRELATED VAR;
Z = Z`;                                 *TRNASPOSE DATA MATRIX BACK (10000X3);

                                        *FLEISHMAN NON-NORMALITY TRANSFORMATION;

X1 = -.124833577 + .978350485*Z[,1] + .124833577*Z[,1]##2 + .001976943*Z[,1]##3;
X2 =  .124833577 + .978350485*Z[,2] - .124833577*Z[,2]##2 + .001976943*Z[,2]##3;
X3 = -.096435287 + .843688891*Z[,3] + .096435287*Z[,3]##2 + .046773413*Z[,3]##3;

X1=X1*15 + 100;                         *LINEAR TRANSFORMATION FOR MEAN & STD;
X2=X2*10 + 50;
X3=X3;
Z=X1||X2||X3;

CREATE A FROM Z [COLNAME={X1 X2 X3}];   *OUTPUT DATA FOR DESCRIPTIVE STATS;
APPEND FROM Z;

PROC MEANS DATA=A N MEAN VAR SKEWNESS KURTOSIS;
  VAR X1 X2 X3;
PROC CORR DATA=A NOSIMPLE NOPROB;
  VAR X1 X2 X3;
RUN;

**************************************************************************;
