
************ Program 5.2: Simulation with Full Time Monitoring  ********************;
DATA RESULTS;
     ARRAY DAYS(365) $1 D1-D365;
     LENGTH NPEOPLE 3;
     SDT=DATETIME();
     STIME=TIMEPART(SDT);   *** take and display the time only.;
     PUT 'Starting Time: ' STIME TIME12.3;
     LENGTH MSG $72;   *** define a character variable for the message.;
     SUBSTR(MSG,1,13)='Simulation #:';      *** set the fixed parts of the message.;
     SUBSTR(MSG,21,16)=', Current Time: ';
     SUBSTR(MSG,49,16)=', Duration: ';
     DO SIM=1 TO 10000;

        /* Construct and display a message if this is a 2,000th simulation. */

        IF NOT MOD(SIM,2000)
           THEN DO; EDT=DATETIME();
                    ETIME=TIMEPART(EDT);
                    DURATION=EDT-SDT;   *** determine the elapsed time.;
                    SUBSTR(MSG,15,6)=PUT(SIM,6.);   *** build the message.;
                    SUBSTR(MSG,37,12)=PUT(ETIME,TIME12.3);
                    SUBSTR(MSG,61,12)=PUT(DURATION,TIME12.3);
                    PUT MSG;   *** display the message.;
                    SDT=EDT;   *** move the current time into the starting time;
                               *** for the next message.;
                END;
        DO I=1 TO 365;
           DAYS(I)='0';
        END;
        DO NPEOPLE=1 TO 366;
           D=1+INT(365*RANUNI(123));
           IF DAYS(D)='1' THEN LEAVE;
                          ELSE DAYS(D)='1';
        END;
        OUTPUT;
     END;
     RUN;
******************************************************************************;
