
*** Program 7.1 ***;
*** Deriving population covariance matrix from model parameters;

PROC IML;

LX = {1.00, 0.50};
LY = {1.00 0.00, 0.95 0.00, 0.00 1.00, 0.00 0.90};
GA = {-0.60, -0.25};
PH = {7.00};
PS = {5.00 0.00, 0.00 4.00};
TD = {3.00 0.00,
      0.00 2.50};
TE = {4.75 0.00 1.60 0.00,
      0.00 2.50 0.00 0.30,
      1.60 0.00 4.50 0.00,
      0.00 0.30 0.00 3.00};
B  = {0.00 0.00, 0.60 0.00};
I = {1 0, 0 1};

COVY = LY*(INV(I-B))*(GA*PH*GA`+PS)*(INV(I-B`))*LY`+TE;
COVX = LX*PH*LX` + TD;
COVYX = LY*(INV(I-B))*GA*PH*LX`;
COVXY = LX*PH*GA`*(INV(I-B`))*LY`;

UPPER = COVX || COVXY;
LOWER = COVYX || COVY;

COV = UPPER // LOWER;

PRINT COV;
RUN;
